"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThumbnailPage = void 0;
const tslib_1 = require("tslib");
const CircularProgress_1 = tslib_1.__importDefault(require("@material-ui/core/CircularProgress"));
const Paper_1 = tslib_1.__importDefault(require("@material-ui/core/Paper"));
const react_1 = tslib_1.__importDefault(require("react"));
const __1 = require("..");
const hooks_1 = require("../hooks");
const services_1 = require("../services");
const DocumentViewerLayout_1 = require("./DocumentViewerLayout");
exports.ThumbnailPage = (props) => {
    var _a, _b;
    const viewerState = hooks_1.useViewerState();
    const page = hooks_1.usePreviewImage(props.imageIndex);
    const isActive = page.image && viewerState.activePage === page.image.Index;
    const imgUrl = (page.image && page.image.ThumbnailImageUrl) || '';
    const relativeImageSize = services_1.ImageUtil.getImageSize({
        width: props.viewportWidth,
        height: props.viewportHeight,
    }, {
        width: ((_a = page.image) === null || _a === void 0 ? void 0 : _a.Width) || 0,
        height: ((_b = page.image) === null || _b === void 0 ? void 0 : _b.Height) || 0,
        rotation: 0,
    }, __1.DEFAULT_ZOOM_LEVEL);
    return (react_1.default.createElement(Paper_1.default, { elevation: isActive ? 8 : 2, className: __1.THUMBNAIL_NAME, style: { margin: DocumentViewerLayout_1.THUMBNAIL_PADDING } },
        react_1.default.createElement("div", { style: {
                padding: 0,
                overflow: 'hidden',
                width: relativeImageSize.width - 2 * DocumentViewerLayout_1.THUMBNAIL_PADDING,
                height: relativeImageSize.height - 2 * DocumentViewerLayout_1.THUMBNAIL_PADDING,
                position: 'relative',
            }, onClick: (ev) => {
                props.onClick(ev);
            } },
            react_1.default.createElement("span", { style: { display: 'flex', justifyContent: 'center' } }, imgUrl ? (react_1.default.createElement("img", { src: `${imgUrl}${viewerState.showWatermark ? '?watermark=true' : ''}`, alt: "", style: {
                    transition: 'transform .1s ease-in-out',
                } })) : (react_1.default.createElement(CircularProgress_1.default, { style: { marginTop: '50%' } }))))));
};
//# sourceMappingURL=ThumbnailPage.js.map