"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShapeAnnotation = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@material-ui/core");
const icons_1 = require("@material-ui/icons");
const react_1 = tslib_1.__importDefault(require("react"));
const __1 = require("../..");
exports.ShapeAnnotation = (props) => {
    const permissions = __1.useDocumentPermissions();
    return (react_1.default.createElement("div", { tabIndex: 0, draggable: permissions.canEdit, onDragStart: props.onDragStart, onMouseUp: props.onResized, style: Object.assign(Object.assign({}, props.getShapeDimensions(props.shape)), { position: 'absolute', resize: permissions.canEdit ? 'both' : 'none', overflow: 'hidden', backgroundColor: 'blanchedalmond', lineHeight: `${props.shape.lineHeight * props.zoomRatio}pt`, fontWeight: props.shape.fontBold, color: props.shape.fontColor, fontFamily: props.shape.fontFamily, fontSize: parseFloat(props.shape.fontSize.replace('pt', '')) * props.zoomRatio, fontStyle: props.shape.fontItalic, boxShadow: `${5 * props.zoomRatio}px ${5 * props.zoomRatio}px ${15 * props.zoomRatio}px rgba(0,0,0,.3)`, padding: `${10 * props.zoomRatio}pt`, boxSizing: 'border-box' }) },
        react_1.default.createElement("div", { id: "annotation-input", style: { width: '100%', height: '100%', overflow: 'auto' }, contentEditable: permissions.canEdit ? 'plaintext-only' : false, suppressContentEditableWarning: true }, props.shape.text),
        props.focused ? (react_1.default.createElement("div", { style: { position: 'relative', top: `-${64 * props.zoomRatio}px` } },
            react_1.default.createElement(core_1.IconButton, null,
                react_1.default.createElement(icons_1.Delete, { style: { color: 'black' }, scale: props.zoomRatio, onMouseUp: () => props.removeShape('annotations', props.shape.guid) })))) : null));
};
//# sourceMappingURL=ShapeAnnotation.js.map